package com.payment_system.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;

public class CarInfo {
    private String number;// 车牌号
    private String carType;//车辆类型
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime bindTime;//绑定时间

    public CarInfo() {
    }

    public CarInfo(String number, String carType, LocalDateTime bindTime) {
        this.number = number;
        this.carType = carType;
        this.bindTime = bindTime;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public LocalDateTime getBindTime() {
        return bindTime;
    }

    public void setBindTime(LocalDateTime bindTime) {
        this.bindTime = bindTime;
    }

    @Override
    public String toString() {
        return "CarInfo{" +
                "number='" + number + '\'' +
                ", carType='" + carType + '\'' +
                ", bindTime=" + bindTime +
                '}';
    }
}
